Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Models/Grupo_sitio.cs
using System;

namespace Generic_appWeb.Models
{
    public class Grupo_sitio
    {
        
        public int GSit_id { get; set; }
        public string GSit_codigo_empresa { get; set; }
        public string GSit_codigo_alterno { get; set; }
        public string GSit_descripcion_larga { get; set; }
        public string GSit_descripcion_med { get; set; }
        public string GSit_descripcion_corta { get; set; }
        public string GSit_abreviacion { get; set; }
        public string GSit_observacion { get; set; }

        public DateTime GSit_fecha_creacion { get; set; }
        public DateTime GSit_fecha_modificacion { get; set; }
        public Usuario GSit_usuario_creacion { get; set; }
        public Usuario GSit_usuario_modificacion { get; set; }
        public char GSit_estado { get; set; }
        public int GSit_secuencia { get; set; }
        public Hacienda Hacienda { get; set; }


    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Controllers/Grupo_sitioController.cs
using Generic_appWeb.Models;
using Generic_appWeb.Repository;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using System;

namespace Generic_appWeb.Controllers
{
    public class Grupo_sitioController : Controller
    {

       
        //private readonly UsuarioRepository _usuarioRepository;
        private readonly Grupo_sitioRepository _Grupo_sitioRepository;
        public readonly EntidadRepository _entidadRepository;

        public Grupo_sitioController(IConfiguration configuration)
        {
           
            
            _Grupo_sitioRepository = new Grupo_sitioRepository(configuration);
            //_usuarioRepository = new UsuarioRepository(configuration);
            _entidadRepository = new EntidadRepository(configuration);
        }


        public IActionResult Index()
        {

            return View(_Grupo_sitioRepository.FindAll());
        }

        public IActionResult Create()
        {
            ViewBag.fecha_creacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
            //ViewBag.estadosList = _usuarioRepository.FindAll();
            ViewBag.entidadList = _entidadRepository.FindAll();

            return View();
        }

        // POST: Customer/Create
        [HttpPost]
        public IActionResult Create(Grupo_sitio obj)
        {
            
            _Grupo_sitioRepository.Add(obj);
           
            return RedirectToAction("Index");
        }

        // GET: /Customer/Edit/1
        public IActionResult Edit(int? id)
        {
            try
            {
                if (id == null)
                {
                    return NotFound();
                }
                ViewBag.fecha_modificacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
                //ViewBag.estadosList = _usuarioRepository.FindAll();
                ViewBag.entidadList = _entidadRepository.FindAll();
                Grupo_sitio obj = _Grupo_sitioRepository.FindByID(id.Value);

                if (obj.GSit_id == 0)
                {
                    return NotFound();
                }
                return View(obj);
            }
            catch (Exception e)
            {

                throw;
            }
        }

        // POST: /Customer/Edit   
        [HttpPost]
        public IActionResult Edit(Grupo_sitio obj)
        {
            try
            {
                _Grupo_sitioRepository.Update(obj);
                return RedirectToAction("Index");
            }
            catch (Exception e)
            {
                return View(obj);
            }
        }

        // GET:/Customer/Delete/1
        public IActionResult Delete(int? id)
        {

            if (id == null)
            {
                return NotFound();
            }
            _Grupo_sitioRepository.Remove(id.Value);
            return RedirectToAction("Index");
        }



    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Grupo_sitio/Create.cshtml
@{ ViewData["Title"] = "Grupo sitio";
    ViewData["Titulo_lugar"] = "Ingresar Grupo sitio";
    ViewData["Lugar"] = "Grupo sitio";


    Layout = "_create"; }







@model Generic_appWeb.Models.Grupo_sitio


<form asp-action="Create">


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Hacienda</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Hacienda.Hac_id" class="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.haciendaList,"Hac_id", "Hac_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Hacienda.Hac_id" class="text-danger" />

            </div>



        </div>
    </div>





    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="GSit_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="GSit_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="GSit_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="GSit_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="GSit_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="GSit_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="GSit_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="GSit_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="GSit_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="GSit_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="GSit_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="GSit_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="GSit_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="GSit_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="GSit_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="GSit_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="GSit_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="GSit_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="GSit_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="GSit_observacion" class="form-control col-md-6" />
                <span asp-validation-for="GSit_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="GSit_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="GSit_fecha_creacion" id="GSit_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="GSit_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="GSit_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="GSit_fecha_modificacion" id="GSit_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="GSit_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="GSit_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="GSit_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="GSit_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="GSit_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="GSit_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="GSit_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="GSit_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="GSit_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="GSit_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Grupo_sitio")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Grupo_sitio/Edit.cshtml
@model Generic_appWeb.Models.Grupo_sitio




<form asp-controller="Grupo_sitio" asp-action="Edit" method="post" role="form">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">
                <h3>EDITAR GRUPOS SITIOS</h3>
            </section>

        </div>
        <div class="card-body">

            <div style="float:left" class="col-xl-12  ">

                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="Hacienda.Hac_id" class="col-md-4 control-label" style="float:left">PROPIETARIO</label>

                        <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.EntidadesList,"Hac_id", "Hac_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="Hacienda.Hac_id" class="text-danger" />
                    </div>

                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">CODIGOS</legend>

                    @Html.Hidden("GSit_id")


                    <div class="form-group">
                        <label asp-for="GSit_codigo_empresa" class="col-md-4 control-label" style="float:left">  EMPRESA </label>

                        <input asp-for="GSit_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="GSit_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="GSit_codigo_alterno" class="col-md-4 control-label" style="float:left">  ALTERNO </label>

                        <input asp-for="GSit_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="GSit_codigo_alterno" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">DESCRIPCIONES</legend>
                    <div class="form-group">
                        <label asp-for="GSit_descripcion_larga" class="col-md-4 control-label" style="float:left">  LARGA </label>

                        <input asp-for="GSit_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="GSit_descripcion_larga" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="GSit_descripcion_med" class="col-md-4 control-label" style="float:left">  MEDIA </label>

                        <input asp-for="GSit_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="GSit_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="GSit_descripcion_corta" class="col-md-4 control-label" style="float:left">  CORTA </label>

                        <input asp-for="GSit_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="GSit_descripcion_corta" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />




                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <div class="form-group">
                        <div class="form-group">
                            <label asp-for="GSit_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION </label>

                            <input asp-for="GSit_abreviacion" class="form-control col-md-6" />
                            <span asp-validation-for="GSit_abreviacion" class="text-danger" />

                        </div>

                        <div class="form-group">
                            <label asp-for="GSit_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION </label>

                            <input asp-for="GSit_observacion" class="form-control col-md-6" />
                            <span asp-validation-for="GSit_observacion" class="text-danger" />

                        </div>
                    </div>

                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">FECHAS</legend>
                    <div class="form-group">
                        <label asp-for="GSit_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="GSit_fecha_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="GSit_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="GSit_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION </label>
                        <input name="GSit_fecha_modificacion" id="GSit_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_modificacion" readonly>

                        <span asp-validation-for="GSit_fecha_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />




                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">USUARIOS</legend>
                    <div class="form-group">
                        <label asp-for="GSit_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="GSit_usuario_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="GSit_usuario_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="GSit_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>
                        <input asp-for="GSit_usuario_modificacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="GSit_usuario_modificacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="GSit_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  SECUENCIA</label>
                        <input asp-for="GSit_secuencia" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="GSit_secuencia" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />







                <br />
                <br />


            </div>
        <div style="float:right" class="col-md-12">
            <div class="form-group">

                <div class="col-md-6">
                    <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Grupo_sitio")'">Volver</button>
                    <button type="submit" class="btn btn-success">Guardar</button>
                </div>
            </div>
        </div>
    </div>

</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Grupo_sitio/Index.cshtml
@{
    ViewData["Nombre_tabla"] = "Grupo sitio";
    ViewData["lugar"] = "Grupo sitio";

    Layout = "_index"; }






@model IEnumerable<Generic_appWeb.Models.Grupo_sitio>

<div class="card-body">
    <table id="example1" class="table table-bordered table-striped ">

        @*<thead>

                <tr>

                    <th colspan="3" style="text-align:center">Codigo </th>
                    <th colspan="3" style="text-align:center">Descripcion</th>
                    <th colspan="2" style="text-align:center">Detalle</th>
                    <th colspan="2" style="text-align:center">Fecha</th>
                    <th colspan="2" style="text-align:center">Usuario</th>
                    <th colspan="4"></th>

                </tr>

            </thead>*@

        <thead class="filters">
            <tr>
                <th>Hacienda</th>

                <th>Interno</th>
                <th>Empresa</th>
                <th>Alterno</th>

                <th>Larga</th>
                <th>Mediana</th>
                <th>Corta</th>

                <th>Abreviacion</th>
                <th>Observacion</th>

                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Secuencia</th>


                <th></th>
                <th></th>
            </tr>

        </thead>



        <tbody>


            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Hacienda.Hac_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_id)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_codigo_empresa)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_codigo_alterno)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_descripcion_larga)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_descripcion_corta)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_abreviacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_observacion)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_fecha_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_fecha_modificacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_usuario_creacion.Users_usuario_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_usuario_modificacion.Users_usuario_modificacion)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.GSit_secuencia)
                    </td>


                    <td>
                        <a asp-action="Edit" asp-route-id="@item.GSit_id" asp-route-usu=" item.GSit_usuario_creacion" asp-route-usu1="@item.GSit_usuario_modificacion" class="btn btn-info">Editar</a>
                    </td>
                    <td>
                        <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.GSit_id" onclick="return confirm('Se eliminara el registro');">Eliminar</a>
                    </td>
                </tr>
            }

        </tbody>



    </table>

</div>






@section Scripts
    {










    <!-- DataTables -->
    <script src="~/AdminLTE-3.0.5/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>

    <script src="~/Js/Tipos_estados_index.js"></script>






    <script>
        $(function () {
            $("#example1").DataTable({
                "responsive": true,
                "autoWidth": false,
            });
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
        });
    </script>




}